commit e22d10664791305ae907c07cb484f5f6e653e198
Author: Sylvain Fargier <sylvain.fargier@cern.ch>
Date:   Tue Jun 25 22:59:39 2024 +0200

    :wrench: remove code from exercise 2

diff --git b/03_bit_bang_leds/platformio.ini a/03_bit_bang_leds/platformio.ini
index b2f45b2..42f4ab1 100644
--- b/03_bit_bang_leds/platformio.ini
+++ a/03_bit_bang_leds/platformio.ini
@@ -15,3 +15,4 @@ platform = atmelavr
 board = nanoatmega328new
 framework = arduino
 monitor_speed = 9600
+lib_deps = fastled/FastLED@^3.7.0
diff --git b/03_bit_bang_leds/src/main.cpp a/03_bit_bang_leds/src/main.cpp
index 48749eb..f8a55f2 100644
--- b/03_bit_bang_leds/src/main.cpp
+++ a/03_bit_bang_leds/src/main.cpp
@@ -33,9 +33,27 @@ void fadeRedLed() {
   }
 }

+void rotateHSV() {
+  static unsigned long lastUpdate = 0;
+  static float hue = 0;
+  static bool inc = true;
+
+  unsigned long now = millis();
+  if (now > lastUpdate + 10) {
+    if (inc) {
+      leds.setLedsHSV(hue++, 1, 1);
+      inc = (hue < 360);
+    } else {
+      leds.setLedsHSV(hue--, 1, 1);
+      inc = !(hue > 0);
+    }
+    lastUpdate = now;
+  }
+}
+
 void loop() {
   // TODO: fade a different color on each button press

-  fadeRedLed();
+  rotateHSV();
   leds.updateLeds();
 }
